Retrieve a delta
Returns break definitions that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/break-definitions?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-break-definitions.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the break definition. |
name.default |
string | — | Read-only | Default name value of the break definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
paidDurationInMinutes |
integer | — | Read-only | The paid duration of the break in minutes. |
minimumDurationInMinutes |
integer | — | Read-only | The minimum duration required for the break in minutes. |
maximumDurationInMinutes |
integer | — | Read-only | The maximum duration allowed for the break in minutes. |
ifNotClockedDurationInMinutes |
integer | — | Read-only | The time that is calculated if no break is taken. In most cases this will be the same as the minimumDurationInMinutes. |
hasToBeTakenUninterrupted |
boolean | — | Read-only | Indicates if the break must be taken without interruption. |
Filters
No filters are available for this endpoint.
External references
This endpoint does not support external references.
Error responses
| Status | Condition |
|---|---|
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
Examples
Retrieving delta changes for break definitions
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/break-definitions?delta